You are not logged in.

#1 2019-12-09 00:59:26

nonbirithm
Member
Registered: 2019-12-09
Posts: 5

[SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

I can no longer use startx to enter X11 after upgrading my kernel to 5.4.2, because X11 can't find the "nvidia" module at startup.

I had blacklisted the kernel because of a `zfs-linux` dependency, so when I upgraded those two packages were the only ones that changed. I looked at all the similar issues online and am at a loss as to what to do next.

Here are the relevant parts of Xorg.0.log:

[    45.998] (II) LoadModule: "nvidia"
[    45.999] (WW) Warning, couldn't open module nvidia
[    45.999] (EE) Failed to load module "nvidia" (module does not exist, 0)
[    45.999] (EE) No drivers available.
[    45.999] (EE)
Fatal server error:
[    45.999] (EE) no screens found(EE)
[    45.999] (EE)

And the rest:

 » cat .local/share/xorg/Xorg.0.log                                                                                           
[    45.952] (WW) Failed to open protocol names file lib/xorg/protocol.txt
[    45.952]
X.Org X Server 1.20.6
X Protocol Version 11, Revision 0
[    45.953] Build Operating System: Linux Arch Linux
[    45.953] Current Operating System: Linux nori 5.3.6-arch1-1-ARCH #1 SMP PREEMPT Fri Oct 11 18:28:05 UTC 2019 x86_64
[    45.953] Kernel command line: BOOT_IMAGE=../vmlinuz-linux root=PARTUUID=cd9a123f-01 rw initrd=../initramfs-linux.img
[    45.954] Build Date: 23 November 2019  06:54:33AM
[    45.954]
[    45.954] Current version of pixman: 0.38.4
[    45.954]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[    45.954] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    45.955] (==) Log file: "/home/ruin/.local/share/xorg/Xorg.0.log", Time: Sun Dec  8 16:02:32 2019
[    45.957] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    45.958] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    45.958] (==) ServerLayout "Layout0"
[    45.958] (**) |-->Screen "Screen0" (0)
[    45.958] (**) |   |-->Monitor "Monitor0"
[    45.959] (**) |   |-->Device "Device0"
[    45.959] (**) |-->Input Device "Keyboard0"
[    45.959] (**) |-->Input Device "Mouse0"
[    45.959] (**) Option "Xinerama" "0"
[    45.959] (==) Automatically adding devices
[    45.959] (==) Automatically enabling devices
[    45.959] (==) Automatically adding GPU devices
[    45.959] (==) Automatically binding GPU devices
[    45.959] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    45.962] (WW) The directory "/usr/share/fonts/Type1" does not exist.
[    45.962]    Entry deleted from font path.
[    45.963] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi".
[    45.963]    Entry deleted from font path.
[    45.963]    (Run 'mkfontdir' on "/usr/share/fonts/100dpi").
[    45.964] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi".
[    45.964]    Entry deleted from font path.
[    45.964]    (Run 'mkfontdir' on "/usr/share/fonts/75dpi").
[    45.964] (==) FontPath set to:
        /usr/share/fonts/misc,
        /usr/share/fonts/TTF,
        /usr/share/fonts/OTF
[    45.964] (==) ModulePath set to "/usr/lib/xorg/modules"
[    45.964] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    45.964] (WW) Disabling Keyboard0
[    45.964] (WW) Disabling Mouse0
[    45.964] (II) Module ABI versions:
[    45.964]    X.Org ANSI C Emulation: 0.4
[    45.964]    X.Org Video Driver: 24.0
[    45.964]    X.Org XInput driver : 24.1
[    45.964]    X.Org Server Extension : 10.0
[    45.965] (++) using VT number 1

[    45.967] (II) systemd-logind: took control of session /org/freedesktop/login1/session/_31
[    45.968] (II) xfree86: Adding drm device (/dev/dri/card0)
[    45.969] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 10 paused 0
[    45.989] (--) PCI: (2@0:0:0) 10de:1c82:19da:2454 rev 161, Mem @ 0xc6000000/16777216, 0xb0000000/268435456, 0xc0000000/33554432, I/O @ 0x00005000/128, BIOS @                                                                                                        0x????????/524288
[    45.989] (--) PCI:*(4@0:0:0) 1a03:2000:15d9:0831 rev 48, Mem @ 0xc4000000/16777216, 0xc5000000/131072, I/O @ 0x00004000/128, BIOS @ 0x????????/131072
[    45.989] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[    45.989] (II) LoadModule: "glx"
[    45.991] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    45.998] (II) Module glx: vendor="X.Org Foundation"
[    45.998]    compiled for 1.20.6, module version = 1.0.0
[    45.998]    ABI class: X.Org Server Extension, version 10.0
[    45.998] (II) LoadModule: "nvidia"
[    45.999] (WW) Warning, couldn't open module nvidia
[    45.999] (EE) Failed to load module "nvidia" (module does not exist, 0)
[    45.999] (EE) No drivers available.
[    45.999] (EE)
Fatal server error:
[    45.999] (EE) no screens found(EE)
[    45.999] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[    45.999] (EE) Please also check the log file at "/home/ruin/.local/share/xorg/Xorg.0.log" for additional information.
[    45.999] (EE)
[    46.018] (EE) Server terminated with error (1). Closing log file.

Here is my system's info:

 » pacman -Qi linux                                                       
Name            : linux
Version         : 5.4.2.arch1-1
 » pacman -Qi nvidia                                                                                                                                       
Name            : nvidia
Version         : 440.36-5
 » lspci | grep VGA
02:00.0 VGA compatible controller: NVIDIA Corporation GP107 [GeForce GTX 1050 Ti] (rev a1)
04:00.0 VGA compatible controller: ASPEED Technology, Inc. ASPEED Graphics Family (rev 30)
 » lsmod | grep nvidia
nvidia_drm             49152  0
nvidia_modeset       1114112  1 nvidia_drm
nvidia              19980288  1 nvidia_modeset
drm_kms_helper        212992  4 ast,nvidia_drm
drm                   516096  6 drm_kms_helper,drm_vram_helper,ast,nvidia_drm,ttm
ipmi_msghandler        69632  4 ipmi_devintf,ipmi_si,nvidia,ipmi_ssif
 » sudo modprobe -vv nvidia
modprobe: INFO: custom logging function 0x5562413a8cd0 registered
modprobe: INFO: context 0x55624294f430 released

Relevant parts of xorg.conf.d (hopefully):

Section "Monitor"
    # HorizSync source: edid, VertRefresh source: edid
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Ancor Communications Inc PA248"
    HorizSync       30.0 - 83.0
    VertRefresh     50.0 - 76.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce GTX 1050 Ti"
    BusID          "PCI:2:0:0"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "Stereo" "0"
    Option         "nvidiaXineramaInfoOrder" "DFP-1"
    Option         "metamodes" "DVI-D-0: nvidia-auto-select +0+0, HDMI-0: 3840x2160 +1920+0"
    Option         "SLI" "Off"
    Option         "MultiGPU" "Off"
    Option         "BaseMosaic" "off"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

What's bewildering is the nvidia module does actually exist under /usr/lib/modules, so I'm not sure why X11 can't find it as it says:

 » ls /usr/lib/modules/5.4.2-arch1-1/extramodules
nvidia-drm.ko.gz  nvidia.ko.gz  nvidia-modeset.ko.gz  nvidia-uvm.ko.gz
 » modinfo nvidia     
filename:       /lib/modules/5.4.2-arch1-1/extramodules/nvidia.ko.gz
alias:          char-major-195-*
version:        440.36
supported:      external
license:        NVIDIA
srcversion:     A5E9226CB2A7B16B12DA2CA
alias:          pci:v000010DEd*sv*sd*bc03sc02i00*
alias:          pci:v000010DEd*sv*sd*bc03sc00i00*
depends:        ipmi_msghandler
retpoline:      Y
name:           nvidia
vermagic:       5.4.2-arch1-1 SMP preempt mod_unload

dmesg seems to indicate that the nvidia module was loaded, and there are no errors in it after trying to run startx.

[    5.807536] nvidia-nvlink: Nvlink Core is being initialized, major device number 239
[    5.822013] nvidia 0000:02:00.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=none:owns=none
[    5.836044] igb 0000:06:00.0 eno2: renamed from eth1
[    5.869572] audit: type=1130 audit(1575850791.101:8): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-journal-flush comm="systemd" exe="/usr/lib
/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    5.923259] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  440.36  Tue Nov 12 08:38:56 UTC 2019
[    6.036187] nvidia-modeset: Loading NVIDIA Kernel Mode Setting Driver for UNIX platforms  440.36  Tue Nov 12 08:10:12 UTC 2019
[    6.041407] [drm] [nvidia-drm] [GPU ID 0x00000200] Loading driver
[    6.041411] [drm] Initialized nvidia-drm 0.0.0 20160202 for 0000:02:00.0 on minor 1

I tried uninstalling nvidia and using nvidia-beta and switching back several times, to no avail. Which direction should I go in to handle this?

Last edited by nonbirithm (2019-12-09 01:53:30)

Offline

#2 2019-12-09 01:00:53

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,200
Website

Re: [SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

You have a mismatch between the installed and running kernels. /boot was likely not mounted during the upgrade.


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Online

#3 2019-12-09 01:18:53

nonbirithm
Member
Registered: 2019-12-09
Posts: 5

Re: [SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

I'm not sure why that would be, but correct me if I'm wrong, since I'm not really sure what's going on.

With uname it appears to indicate I'm running 5.4.2.arch1-1:

 » uname -a                                                                                                                                                
Linux nori 5.4.2-arch1-1 #1 SMP PREEMPT Thu, 05 Dec 2019 12:29:40 +0000 x86_64 GNU/Linux

The module folders seem to indicate the same version:

 » ls /lib/modules                                                                                                           
5.4.2-arch1-1
 » ls /usr/lib/modules                                                                                          
5.4.2-arch1-1

pacman -Qi shows the same version.

And I've also done numerous restarts between installing different versions of nvidia and nvidia-beta.

But if there is actually a mismatch between the kernels, then would you know what to do to resolve this, or how to tell that this is the case using system commands? There are no packages for me to update using pacman.

 » sudo pacman -Syu                                                                     
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
:: Starting full system upgrade...
 there is nothing to do

Offline

#4 2019-12-09 01:20:43

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,200
Website

Re: [SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

Then you posted the wrong xorg.log...

[    45.953] Current Operating System: Linux nori 5.3.6-arch1-1-ARCH #1 SMP PREEMPT Fri Oct 11 18:28:05 UTC 2019 x86_64

Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Online

#5 2019-12-09 01:20:48

nonbirithm
Member
Registered: 2019-12-09
Posts: 5

Re: [SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

I'm not sure why that would be, but correct me if I'm wrong, since I'm not really sure what's going on.

With uname it appears to indicate I'm running 5.4.2.arch1-1:

 » uname -a                                                                                                                                                
Linux nori 5.4.2-arch1-1 #1 SMP PREEMPT Thu, 05 Dec 2019 12:29:40 +0000 x86_64 GNU/Linux

The module folders seem to indicate the same version:

 » ls /lib/modules                                                                                                           
5.4.2-arch1-1
 » ls /usr/lib/modules                                                                                          
5.4.2-arch1-1

And I've also done numerous restarts between installing different versions of nvidia and nvidia-beta.

But if there is actually a mismatch between the kernels, then would you know what to do to resolve this? There are no packages for me to update using pacman.

 » sudo pacman -Syu                                                                     
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
:: Starting full system upgrade...
 there is nothing to do

EDIT: Actually you're right, it appears I don't have an entry for /boot in my fstab. I'll try fixing that first.

Offline

#6 2019-12-09 01:27:46

nonbirithm
Member
Registered: 2019-12-09
Posts: 5

Re: [SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

That's odd. I thought it was using the log in .local from what it was printing before. But now it's using /var/log/Xorg.0.log for some reason.

It still seems to show the same error:

 » cat /var/log/Xorg.0.log   
[  3851.664] (WW) Failed to open protocol names file lib/xorg/protocol.txt
[  3851.673]
X.Org X Server 1.20.6
X Protocol Version 11, Revision 0
[  3851.676] Build Operating System: Linux Arch Linux
[  3851.677] Current Operating System: Linux nori 5.4.2-arch1-1 #1 SMP PREEMPT Thu, 05 Dec 2019 12:29:40 +0000 x86_64
[  3851.677] Kernel command line: BOOT_IMAGE=../vmlinuz-linux root=PARTUUID=cd9a123f-01 rw initrd=../initramfs-linux.img
[  3851.680] Build Date: 23 November 2019  06:54:33AM
[  3851.681]
[  3851.683] Current version of pixman: 0.38.4
[  3851.686]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[  3851.686] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  3851.690] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Dec  8 17:23:56 2019
[  3851.691] (==) Using config directory: "/etc/X11/xorg.conf.d"
[  3851.691] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  3851.691] (==) ServerLayout "Layout0"
[  3851.691] (**) |-->Screen "Screen0" (0)
[  3851.691] (**) |   |-->Monitor "Monitor0"
[  3851.692] (**) |   |-->Device "Device0"
[  3851.692] (**) |-->Input Device "Keyboard0"
[  3851.692] (**) |-->Input Device "Mouse0"
[  3851.692] (**) Option "Xinerama" "0"
[  3851.692] (==) Automatically adding devices
[  3851.692] (==) Automatically enabling devices
[  3851.692] (==) Automatically adding GPU devices
[  3851.692] (==) Automatically binding GPU devices
[  3851.692] (==) Max clients allowed: 256, resource mask: 0x1fffff
[  3851.692] (WW) The directory "/usr/share/fonts/Type1" does not exist.
[  3851.692]    Entry deleted from font path.
[  3851.692] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi".
[  3851.692]    Entry deleted from font path.
[  3851.692]    (Run 'mkfontdir' on "/usr/share/fonts/100dpi").
[  3851.692] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi".
[  3851.692]    Entry deleted from font path.
[  3851.692]    (Run 'mkfontdir' on "/usr/share/fonts/75dpi").
[  3851.692] (==) FontPath set to:
        /usr/share/fonts/misc,
        /usr/share/fonts/TTF,
        /usr/share/fonts/OTF
[  3851.692] (==) ModulePath set to "/usr/lib/xorg/modules"
[  3851.692] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[  3851.692] (WW) Disabling Keyboard0
[  3851.692] (WW) Disabling Mouse0
[  3851.692] (II) Module ABI versions:
[  3851.692]    X.Org ANSI C Emulation: 0.4
[  3851.692]    X.Org Video Driver: 24.0
[  3851.692]    X.Org XInput driver : 24.1
[  3851.692]    X.Org Server Extension : 10.0
[  3851.693] (++) using VT number 1

[  3851.695] (II) systemd-logind: took control of session /org/freedesktop/login1/session/_31
[  3851.695] (II) xfree86: Adding drm device (/dev/dri/card1)
[  3851.696] (II) systemd-logind: got fd for /dev/dri/card1 226:1 fd 10 paused 0
[  3851.696] (II) xfree86: Adding drm device (/dev/dri/card0)
[  3851.697] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 11 paused 0
[  3851.712] (--) PCI: (2@0:0:0) 10de:1c82:19da:2454 rev 161, Mem @ 0xc6000000/16777216, 0xb0000000/268435456, 0xc0000000/33554432, I/O @ 0x00005000/128, BIOS @ 0x????????/524288
[  3851.712] (--) PCI:*(4@0:0:0) 1a03:2000:15d9:0831 rev 48, Mem @ 0xc4000000/16777216, 0xc5000000/131072, I/O @ 0x00004000/128, BIOS @ 0x????????/131072
[  3851.713] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[  3851.713] (II) LoadModule: "glx"
[  3851.713] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[  3851.714] (II) Module glx: vendor="X.Org Foundation"
[  3851.714]    compiled for 1.20.6, module version = 1.0.0
[  3851.714]    ABI class: X.Org Server Extension, version 10.0
[  3851.714] (II) LoadModule: "nvidia"
[  3851.714] (WW) Warning, couldn't open module nvidia
[  3851.714] (EE) Failed to load module "nvidia" (module does not exist, 0)
[  3851.714] (EE) No drivers available.
[  3851.714] (EE)
Fatal server error:
[  3851.714] (EE) no screens found(EE)
[  3851.715] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[  3851.715] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  3851.715] (EE)
[  3851.719] (EE) Server terminated with error (1). Closing log file.

And also I remembered that I don't actually have a /boot partition (I use BIOS with syslinux instead of UEFI and I guess I didn't find it necessary at the time)

 » l /boot
total 45480
drwxr-xr-x  3 root root     4096 Dec  8 16:09 .
drwxr-xr-x 17 root root     4096 Dec  5 08:07 ..
-rw-r--r--  1 root root 30873986 Dec  8 16:09 initramfs-linux-fallback.img
-rw-r--r--  1 root root  9277372 Dec  8 16:09 initramfs-linux.img
drwxr-xr-x  2 root root     4096 Dec  5 08:09 syslinux
-rw-r--r--  1 root root  6404480 Dec  8 16:09 vmlinuz-linux
 » cat /etc/fstab 
# /dev/sda1
UUID=dceb106e-9937-430f-9aae-71887e4e814b       /               ext4            rw,relatime     0 1

# /dev/sda2
UUID=9e7a0100-b527-47b1-9460-f5e0bca026b8       /var            ext4            rw,relatime     0 2

# /dev/sda3
UUID=ddc89ab1-b3fa-4840-853f-dd03fe83ffba       /home           ext4            rw,relatime     0 2

Offline

#7 2019-12-09 01:42:43

loqs
Member
Registered: 2014-03-06
Posts: 15,377

Re: [SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

What is the output of the following

pacman -Qi nvidia-utils
pacman -Qkk nvidia-utils

Offline

#8 2019-12-09 01:52:28

nonbirithm
Member
Registered: 2019-12-09
Posts: 5

Re: [SOLVED] Cannot start X11 anymore after upgrade to linux 5.4.2

Figured it out (thanks, loqs).

It turns out I actually had nvidia-utils-beta installed but all the files in it were missing for some reason.

 » pacman -Qkk nvidia-utils
warning: nvidia-utils-beta: /usr/lib/libnvidia-encode.so (No such file or directory)
warning: nvidia-utils-beta: /usr/lib/libnvidia-encode.so.1 (No such file or directory)
warning: nvidia-utils-beta: /usr/lib/libnvidia-encode.so.440.36 (No such file or directory)
warning: nvidia-utils-beta: /usr/lib/libnvidia-fatbinaryloader.so (No such file or directory)
warning: nvidia-utils-beta: /usr/lib/libnvidia-fatbinaryloader.so.440.36 (No such file or directory)
...

I installed nvidia-utils instead and everything works.

I'll mark this as SOLVED.

Offline

Board footer

Powered by FluxBB